SDLProgressBar(3)

NAME
SDLProgressBar - A progress bar.

SYNOPSIS

#include <sdlprogressbar.h>

Inherits SDLGradientWidget.

  Public Methods
SDLProgressBar (SDLWidget* parent, SDL_Rect& r)
~SDLProgressBar ()
void SetProgress (double p)
void LoadThemeStyle (const char* widgettype)
Load a style from the theme definition.

  Protected Methods
void eventDraw (SDL_Surface* surface, SDL_Rect* rect)

DETAILED DESCRIPTION

A progress bar.

Author(s):
 Alexander Pipelka

 Displays progress by taking a percentage and sizing the bar appropriately.

Definition at line 53 of file sdlprogressbar.h.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLProgressBar::SDLProgressBar (SDLWidget * parent, SDL_Rect & r)

  SDLProgressBar::~SDLProgressBar ()

MEMBER FUNCTION DOCUMENTATION

  void SDLProgressBar::LoadThemeStyle (const char * widgettype) [virtual]

Load a style from the theme definition.

Parameters:

widgettype name of the widgettype

objectname name of the object

Loads the defined style for a given widgettype

Reimplemented from SDLGradientWidget.

  void SDLProgressBar::SetProgress (double p)

  void SDLProgressBar::eventDraw (SDL_Surface * surface, SDL_Rect * rect) [protected, virtual]

Reimplemented from SDLGradientWidget.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.